Skip to main content
GET
/
partner
/
operations
List operations
curl --request GET \
  --url https://m2m-backend-qa.up.railway.app/partner/operations \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": {
    "items": [
      {
        "operationId": "op_acme_abc123",
        "userId": "user_acme_x1y2z3",
        "linkId": "link_acme_a1b2c3d4e5f6",
        "status": "completed",
        "amount": {
          "send": 100,
          "receive": 1725,
          "rate": 17.25,
          "fee": 3.99,
          "currency": {
            "source": "USD",
            "destination": "MXN"
          }
        },
        "createdAt": "2026-02-10T12:00:00.000Z",
        "referenceId": "user-12345",
        "funding": {},
        "payout": {},
        "completedAt": "2026-02-10T12:05:00.000Z",
        "failedAt": "<string>",
        "failureReason": "Insufficient funds"
      }
    ],
    "pagination": {
      "page": 1,
      "limit": 20,
      "total": 85,
      "totalPages": 5
    }
  }
}

Authorizations

X-API-Key
string
header
required

Your partner API key. Use m2m_test_* keys for the sandbox environment.

Query Parameters

referenceId
string

Filter operations by the partner reference ID of the associated user

Example:

"user-12345"

userId
string

Filter operations by M2M user ID

Example:

"user_acme_x1y2z3"

Filter operations by the magic link ID that initiated the transfer

Example:

"link_acme_a1b2c3d4e5f6"

status
enum<string>

Filter by operation status. "created" = operation initiated. "processing" = funds in transit. "completed" = transfer successful. "failed" = transfer failed. "cancelled" = operation cancelled.

Available options:
created,
processing,
completed,
failed,
cancelled
Example:

"completed"

from
string

Filter operations created on or after this date (ISO 8601)

Example:

"2026-01-01T00:00:00.000Z"

to
string

Filter operations created on or before this date (ISO 8601)

Example:

"2026-02-28T23:59:59.999Z"

page
number
default:1

Page number (1-indexed)

Required range: x >= 1
Example:

1

limit
number
default:20

Number of items per page

Required range: 1 <= x <= 100
Example:

20

Response

Paginated list of operations

success
boolean
required
Example:

true

data
object
required